> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nova-cloud.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create API key

> Generate a new API key. The key value is only returned once — store it securely.



## OpenAPI

````yaml /api-reference/openapi.json post /auth/api-key
openapi: 3.1.0
info:
  title: Nova Cloud API
  description: >-
    REST API for the Nova Cloud GPU rental platform. Manage virtual machines,
    SSH keys, billing, and more.
  version: 1.0.0
  contact:
    name: Nova Cloud Support
    email: support@nova-cloud.ai
    url: https://nova-cloud.ai
servers:
  - url: https://api.nova-cloud.ai
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Authentication
    description: User registration, login, and token management
  - name: API Keys
    description: Create and manage API keys for programmatic access
  - name: SSH Keys
    description: Upload and manage SSH public keys for VM access
  - name: Virtual Machines
    description: Create, manage, and monitor GPU-powered VMs
  - name: Search & Pricing
    description: Browse available GPU offers and current pricing
  - name: Billing
    description: Balance, usage, transactions, and payment management
  - name: Reservations
    description: Reserved instance pricing and management
paths:
  /auth/api-key:
    post:
      tags:
        - API Keys
      summary: Create API key
      description: >-
        Generate a new API key. The key value is only returned once — store it
        securely.
      operationId: create_api_key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/APIKeyCreateRequest'
      responses:
        '200':
          description: API key created. Save the key — it won't be shown again.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIKeyResponse'
components:
  schemas:
    APIKeyCreateRequest:
      type: object
      properties:
        name:
          type: string
          maxLength: 100
          default: Primary Key
          description: Friendly name for the API key
        scopes:
          type: array
          items:
            type: string
          default:
            - read_write
          description: 'Permission scopes: read_write, read_only, billing_only'
    APIKeyResponse:
      type: object
      properties:
        api_key:
          type: string
          description: Your API key — save this! It won't be shown again.
        created_at:
          type: string
          format: date-time
        message:
          type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT or API Key
      description: Use a JWT access token or API key (prefixed with nv_)

````